#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kdoctools
Version		:	5.107.0
Release		:	14.8.0.0%{?dist}
Summary		:	KDE Create documentation from DocBook

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	karchive
BuildRequires	:	ki18n
BuildRequires	:	libxml2
BuildRequires	:	perl
BuildRequires	:	perl-URI
BuildRequires	:	qt
#-----------------------------------------------------------------------------
%description
Provides tools to generate documentation in various format from DocBook files.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF 					\
	-W no-dev						\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_includedir}/KF5/KDocTools/*
%{_bindir}/checkXML5
%{_bindir}/meinproc5
%{_libdir}/cmake/KF5DocTools/*.cmake
%{_libdir}/libKF5DocTools.so*
%{_defaultdocdir}/HTML/*/%{name}5-common/*.{css,dcl,html,jpg,png}
%{_datadir}/kf5/%{name}/customization/README
%{_datadir}/kf5/%{name}/customization/*.xml
%{_datadir}/kf5/%{name}/customization/dtd/*
%{_datadir}/kf5/%{name}/customization/*/entities/*.docbook
%{_datadir}/kf5/%{name}/customization/*/*.{entities,xml}
%{_datadir}/kf5/%{name}/customization/*.xsl
%{_datadir}/kf5/%{name}/customization/xsl/README
%{_datadir}/locale/*/LC_MESSAGES/%{name}5.mo
%{_mandir}/man1/*.1.gz
%{_mandir}/*/man1/*.1.gz
%{_mandir}/man7/*.7.gz
%{_mandir}/*/man7/*.7.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
